//---------------------------------------------------------------------------
#ifndef dtUnit1H
#define dtUnit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <inifiles.hpp>
#include <ExtCtrls.hpp>
#include <shellapi.h>
#include <registry.hpp>
#include <NMTime.hpp>
#include <Psock.hpp>

#include "dtUnit2.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TTimer *Timer1;
    TNMTime *NMTime1;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall NMTime1Connect(TObject *Sender);
    void __fastcall NMTime1ConnectionFailed(TObject *Sender);
    void __fastcall NMTime1Disconnect(TObject *Sender);
    void __fastcall NMTime1HostResolved(TComponent *Sender);
    void __fastcall NMTime1InvalidHost(bool &Handled);
    void __fastcall NMTime1Status(TComponent *Sender, AnsiString Status);
    void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
    String GetIniString(const String Ident, const String Default = "");
    void PutIniString(const String Ident, const String Value);
    void LogOpen();
    void LogWrite(const String Value);
    void LogClose();
    void Install(const bool bAction = true);
    void DoDialog();
    void ComputeBumpUp();
    int iLogfile, iDelay;
    String localIP;
    TForm2 *Form2;
    unsigned __int64 qBumpUp;
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
    void __fastcall WndProc(Messages::TMessage &msg);
    UINT iconMsg;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
